
<!doctype html>
<html>
<head>
    <title>Ada  Lovelace </title>

    <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Kube CSS -->
    <link rel="stylesheet" href="mytheme.css">
    <link rel="stylesheet" href="kube/css/kube.min.css">

</head>
<body>
<div class="page">
   <main id="main" class="main is-contanier">
  <h1 id="title">Ada Lovelace</h1>
  <p>The founder of computing science and the world’s first computer programmer</p>
  <figure id="img-div" class="is-width-small is-center">
    <img style="display:block;margin:auto;"
      id="image"
      src="https://upload.wikimedia.org/wikipedia/commons/thumb/a/a4/Ada_Lovelace_portrait.jpg/220px-Ada_Lovelace_portrait.jpg"
      alt="Watercolour portrait of Ada King, Countess of Lovelace, circa 1840, possibly by Alfred Edward Chalon"
    />
    <figcaption id="img-caption">
      Watercolour portrait of Ada King, Countess of Lovelace, circa 1840, possibly by Alfred Edward Chalon
    </figcaption>
  </figure>
  <section id="tribute-info">
    <h3 id="headline">Here's some information on Ada Lovelace</h3>
    <ul>
      <li><strong>1815</strong> - Born in London, United Kingdom</li>
      <li>
        <strong>1852</strong> - Dies in London, United Kingdom</li>
      </li>
     
    </ul>
    <p>
    Lovelace was the daughter of famed poet Lord Byron and Annabella Milbanke Byron, who legally separated two months after her birth. Her father then left Britain forever, and his daughter never knew him personally. She was educated privately by tutors and then self-educated but was helped in her advanced studies by mathematician-logician Augustus De Morgan, the first professor of mathematics at the University of London. On July 8, 1835, she married William King, 8th Baron King, and, when he was created an earl in 1838, she became countess of Lovelace.
</p><p>
Lovelace became interested in Babbage’s machines as early as 1833 and, most notably, in 1843 came to translate and annotate an article written by the Italian mathematician and engineer Luigi Federico Menabrea, “Notions sur la machine analytique de Charles Babbage” (1842; “Elements of Charles Babbage’s Analytical Machine”). Her detailed and elaborate annotations (especially her description of how the proposed Analytical Engine could be programmed to compute Bernoulli numbers) were excellent; “the Analytical Engine,” she said, “weaves algebraic patterns, just as the Jacquard-loom weaves flowers and leaves.”
</p><p>
Babbage only built a small part of the Analytical Engine, but Lovelace’s efforts have been remembered. The early programming language Ada was named for her, and the second Tuesday in October has become Ada Lovelace Day, on which the contributions of women to science, technology, engineering, and mathematics are honoured.
</p>
    <blockquote
       >
      <p>
        If you can't give me poetry, can't you give me poetical science?

      </p>
      <cite>--Ada Lovelace</cite>
    </blockquote>
    <h3>
      If you have time, you should read more about this incredible human being
      on her
      <a
        id="tribute-link"
        href="https://en.wikipedia.org/wiki/Ada_Lovelace"
        target="_blank"
        >Wikipedia entry</a
      >.
    </h3>
  </section>
</main>
</div> <!-- end page -->
    <!-- Kube JS (optional if you are using Kube CSS only) -->
    <script src="kube/js/kube.min.js"></script>
    <script>
        $K.init();
    </script>
    <script src="https://cdn.freecodecamp.org/testable-projects-fcc/v1/bundle.js"></script>
</body>
</html>


